declare namespace UserTypes {
    // 登录参数类型
    type LoginParams = {
        account: string,
        pwd: string
    }

    //人员数据类型
    type PersonnelType = {
       /**
     * 
     * @type {string}
     * @memberof TBEmployeeDTO
     */
    id?: string | null;
    /**
     * 排序
     * @type {number}
     * @memberof TBEmployeeDTO
     */
    sort?: number;
    /**
     * 员工姓名
     * @type {string}
     * @memberof TBEmployeeDTO
     */
    name?: string | null;
    /**
     * 1男2女
     * @type {number}
     * @memberof TBEmployeeDTO
     */
    gender?: number;
    
    /**
     * 1在职2出差3离职
     * @type {number}
     * @memberof TBEmployeeDTO
     */
    status?: number;
    /**
     * 角色Id
     * @type {string}
     * @memberof TBEmployeeDTO
     */
    roleId?: string | null;

    isAccount?: null | boolean ;
    }

    //人员分页查询参数
    type UserPageParams = {
        name: string,
        status: number?,
        pageIndex: number,
        pageSize: number,
        gender: number?,
    }
}